: Class Tester

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jel.debug
Class Tester

    java.lang.Object
      |
      +--gnu.jel.debug.Tester

public class Tester
extends java.lang.Object

Constructor Summary
`Tester(java.io.OutputStream stream)`

Method Summary
`boolean` | `compare(boolean b)`
`boolean` | `compare(byte[] got, byte[] exp)`
`boolean` | `compare(int got, int exp)`
`boolean` | `compare(java.lang.Object got, java.lang.Object exp)`
`static void` | `main(java.lang.String[] args)`
`void` | `print(java.lang.Object obj)`
`void` | `printHexLine16(java.io.PrintWriter o, byte[] data, int offset)`
`void` | `println(java.lang.Object obj)`
`void` | `startTest(java.lang.String descr)`
`void` | `summarize()`
`void` | `testFail()`
`void` | `testFailProgressing()`
`void` | `testOK()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tester

    public Tester(java.io.OutputStream stream)

Method Detail

### startTest

    public void startTest(java.lang.String descr)

### testOK

    public void testOK()

### testFail

    public void testFail()

### print

    public void print(java.lang.Object obj)

### println

    public void println(java.lang.Object obj)

### testFailProgressing

    public void testFailProgressing()

### summarize

    public void summarize()

### compare

    public boolean compare(byte[] got,
                           byte[] exp)

### printHexLine16

    public void printHexLine16(java.io.PrintWriter o,
                               byte[] data,
                               int offset)

### compare

    public boolean compare(java.lang.Object got,
                           java.lang.Object exp)

### compare

    public boolean compare(boolean b)

### compare

    public boolean compare(int got,
                           int exp)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD